"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ColumnContainer = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const ColumnContainer = _styledComponents.default.div`
  width: ${({
  size,
  theme
}) => size.xs !== '100%' ? `calc(${size.xs} - (${theme.tokens.flexbox.XS}/2))` : '100%'};
  flex: 1;

  @media only screen and (min-width: 413px) and (max-width: 1430px) {
    width: ${({
  size,
  theme
}) => size.sm !== '100%' ? `calc(${size.sm} - (${theme.tokens.flexbox.S}/2))` : '100%'};
  }

  @media only screen and (min-width: 1440px) and (max-width: 1559px) {
    width: ${({
  size,
  theme
}) => size.md !== '100%' ? `calc(${size.md} - (${theme.tokens.flexbox.M}))` : '100%'};
  }

  @media only screen and (min-width: 1600px) {
    width: ${({
  size,
  theme
}) => size.lg !== '100%' ? `calc(${size.lg} - (${theme.tokens.flexbox.M}))` : '100%'};
  }
`;
exports.ColumnContainer = ColumnContainer;